net.fortuna.ical4j.model

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.fortuna.ical4j.model.ValidationException

All Implemented Interfaces:
  Serializable

    public class ValidationException
    extends Exception

$Id$ [23-Apr-2004] An exception thrown during validation.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ValidationException()` Default constructor.
`ValidationException(String message)` Constructor with message.
`ValidationException(String message, Object[] args)` Constructor with message pattern and arguments.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidationException

    public ValidationException()

Default constructor.

#### ValidationException

    public ValidationException(String message)

Constructor with message.

Parameters:
  `message` - a message

#### ValidationException

    public ValidationException(String message,
                       Object[] args)

Constructor with message pattern and arguments.

Parameters:
  `message` - a message pattern
  `args` - message arguments